package test.listener;

import javax.el.ValueExpression;
import javax.el.ValueReference;
import javax.faces.component.UIInput;
import javax.faces.component.html.HtmlOutputText;
import javax.faces.context.FacesContext;
import javax.faces.event.SystemEvent;
import javax.faces.event.SystemEventListener;


public class TestSystemEventListener implements SystemEventListener {
   
    
    

    /* (non-Javadoc)
     * @see javax.faces.event.SystemEventListener#isListenerForSource(java.lang.Object)
     */
    @Override
    public boolean isListenerForSource(Object pSource) {        
        if(pSource instanceof UIInput ) {
            /*if(LOG.isDebugEnabled()) {
                LOG.debug("Handle event for: " + pSource);
            }*/
        
            return true;
        }
        
        return false;
    }

    /* (non-Javadoc)
     * @see javax.faces.event.SystemEventListener#processEvent(javax.faces.event.SystemEvent)
     */
    @Override
    public void processEvent(SystemEvent pEvent) {
        UIInput input = (UIInput)pEvent.getSource();
        Object valueObj = input.getAttributes().get("value");
        ValueExpression valueExp = input.getValueExpression("value");
        ValueReference reference = valueExp.getValueReference(FacesContext.getCurrentInstance().getELContext());
        
        System.out.println("ValueReference:" + reference);
        

    }

}
